/*
 * database.c (c) 2002 by Benjamin Schweizer <gopher at h07 dot org>
 *                        http://www.redsheep.de/
 *
 **********************************************************************/


/* pre processor *
 *****************/

#define DB_SIZE 16384				// number of entries
#define DB_DLEN 255				// length of description

#define DBMSG_NEW	0			// host is not in db
#define DBMSG_UNSEEN	1			// host is not marked as seen
#define DBMSG_ALIVE	2			// host is marked as seen
#define DBMSG_IPV4	3			// ipv4 address changed
#define DBMSG_IPV6	4			// ipv6 address changed


/* globals *
 **********/
int db_last;					// last entry in db


/* structs *
 ***********/
 
struct shost {
	u_char mac[6];
	int seen;
	u_char desc[DB_DLEN];
	u_char ipv4[4];
	u_char ipv6[16];
};


/* prototypes *
 **************/
 
void tohex (char *s, u_char c);
void tochar (u_char *c, const char *s);
int db_check (struct shost *entry, u_char *old_ip);
int db_add (const struct shost *entry);
int db_load (const char *name);
int db_save (const char *name);


/* end of file */
