/*
 * ui.c (c) 2002 by Benjamin Schweizer <gopher at h07 dot org>
 *                  http://www.redsheep.de/
 *
 **********************************************************************/


#include <stdio.h>
#include <string.h>
#include <syslog.h>

#include "globals.h"
#include "ui.h"

/* implementation *
 ******************/

void log(int pri, const char *message) {
/*
 * log(pri, message) - log message to syslog or screen
 *
 * MSG_WARNING:   syslog(warning) or screen
 * MSG_IMPORTANT: syslog(notice) or screen
 * MSG_2:         reserved
 * MSG_NOTICE:    screen
 */
	if (o_daemon) {
		if (pri == MSG_WARNING) { syslog (LOG_WARNING, message); }
		if (pri == MSG_IMPORTANT) { syslog (LOG_NOTICE, message); }
	} else {
		printf (message);
	}
}


/* end of file */
